Error with upgrade from 0.5.5x to 1.0: E: Invalid operation DPkg::Options::=--force-confdef

  • With last version, in Putty I've written :

    Code
    apt-get update && apt-get dist-upgrade && omv-update


    and then I see:

    Code
    E: Invalid operation DPkg::Options::=--force-confdef


    This error is related to omv-update command.


    Now OMV reported the version 0.5.58.


    I've in mirror 2x320GB disks and in RAID5 4x1TB disks, either in clean state.
    Can I do a fresh install on another disk and then to connect these without losing their content?


    Thanks in advance

    Thanks in advance for your help. :thumbup:
    ==============
    1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
    2 HDD WD Blue 320GB RAID2
    4 HDD WD Green 1TB RAID5

  • With:

    Code
    apt-get update && apt-get dist-upgrade && apt-get -f upgrade


    I don't see errors. So I continue with the command omv-release-upgrade

    Thanks in advance for your help. :thumbup:
    ==============
    1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
    2 HDD WD Blue 320GB RAID2
    4 HDD WD Green 1TB RAID5

  • Quote


    I've in mirror 2x320GB disks and in RAID5 4x1TB disks, either in clean state.
    Can I do a fresh install on another disk and then to connect these without losing their content?


    yepp. to be really save you can disconnect your drives prior to installing omv from scratch.
    If you do that: Keep your SATA connectors plugged in and just cut power. This makes sure the diskorder stays the same, which is important for your RAID5 array to get recognized correctly!
    however it seems like you already started upgrading from 5.0.58. hopefully it will go smoothly.

  • It'all Ok for me. I'm working in OMV 1.0.21.
    Thanks.

    Thanks in advance for your help. :thumbup:
    ==============
    1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
    2 HDD WD Blue 320GB RAID2
    4 HDD WD Green 1TB RAID5

  • It'all Ok for me. I'm working in OMV 1.0.21.
    Thanks.


    Can you share how you resolved this? I am having the same issue.


    Reading package lists... Done
    E: Invalid operation DPkg::Options::=--force-confdef


    Tried an apt-get clean and ran again but same error.

  • I got the same error.


    Basically "/usr/sbin/omv-update" runs following command:
    apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \
    --show-upgraded --option DPkg::Options::="--force-confold" \
    DPkg::Options::="--force-confdef" dist-upgrade


    Sould be (I think; it worked for me ;) :
    apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \
    --show-upgraded --option DPkg::Options::="--force-confold" \
    --option DPkg::Options::="--force-confdef" dist-upgrade

  • I have this same problem. "apt-get update && apt-get dist-upgrade && apt-get -f upgrade" not help

    I know that the world does not expect the us to many. It is sufficient that you answer yourself a very important question: what I like to do in life, and then start to do it.


    HP N36L Microserver 60GB SSD + 2x 250GB HDD + 2x 1TB omv 3.0.X 64 bit - 3.16 backport kernel
    Banana Pi + 16GB SD + 500GB - test platform omv 3.0.X - ARM - 3.4.104 kernel
    Banana PRO + 8GB SD + 320GB - test platform omv 30..X - ARM - 3.4.104 kernel
    SimpleNAS project - OpenMediaVault and Case for Banana Pi/PRO/M1/M1+/M3, LM Guitar

  • cyryllo - does this work for you?

    Code
    apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \--show-upgraded --option DPkg::Options::="--force-confold" \--option DPkg::Options::="--force-confdef" dist-upgrade
  • cyryllo - does this work for you?

    Code
    apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \--show-upgraded --option DPkg::Options::="--force-confold" \--option DPkg::Options::="--force-confdef" dist-upgrade


    Work thx

    I know that the world does not expect the us to many. It is sufficient that you answer yourself a very important question: what I like to do in life, and then start to do it.


    HP N36L Microserver 60GB SSD + 2x 250GB HDD + 2x 1TB omv 3.0.X 64 bit - 3.16 backport kernel
    Banana Pi + 16GB SD + 500GB - test platform omv 3.0.X - ARM - 3.4.104 kernel
    Banana PRO + 8GB SD + 320GB - test platform omv 30..X - ARM - 3.4.104 kernel
    SimpleNAS project - OpenMediaVault and Case for Banana Pi/PRO/M1/M1+/M3, LM Guitar

  • hello,


    first of all, thanks for your work and support. great community.


    but I have the same error and I tried the command for cyryllo and then at omv-release-upgrade I received:


    Upgrading system to 1.0 (Kralizec) ...
    sed: cannot rename /etc/apt/sed6dk1oS: Operation not permitted
    run-parts: /tmp/tmp.EbgxXujAje/pre.d/20-apt-update-source-list exited with return code 4


    thanks for your support.

    The Power of the Power Button!
    OMV 4.x // Hardware: HP N36L Microserver (BIOS mod), 4GB RAM, 2x1TB WD Red + 2x2TB ST, 160GB for OMV

    OMV 5.x // Hardware: HP Microserver Gen8, 4GB RAM, 2x4TB WD + 2x2TB ST, 160GB for OMV

    Edited once, last by hunt3rus ().

  • Pointed Volker to this... Maybe he need to update his omv-update


    I reported the E: Invalid operation DPkg::Options::=--force-confdef-error on Saturday. Hopefully he will fix it

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!